tigase.jaxmpp.core.client.xmpp.stanzas

## Class IQ

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementWrapper
  - - tigase.jaxmpp.core.client.xmpp.stanzas.StreamPacket
    - - tigase.jaxmpp.core.client.xmpp.stanzas.Stanza
      - - tigase.jaxmpp.core.client.xmpp.stanzas.IQ

- All Implemented Interfaces:
    Element

      public class IQ
      extends Stanza

  Representation of IQ stanza.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.jaxmpp.core.client.xmpp.stanzas.Stanza

      `Stanza.UnkownStanzaTypeException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IQ` | `create()`
    `Element` | `getQuery()` Return <query/> child element.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.stanzas.Stanza

      `canBeConverted, create, createIQ, createMessage, createPresence, getErrorCondition, getErrorMessage, getFrom, getId, getTo, getType, getType, setFrom, setId, setTo, setType`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.stanzas.StreamPacket

      `getXmppStream, setXmppStream`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.ElementWrapper

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildElementValue, getChildElementValue, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getWrappedElement, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setChildElementValue, setChildElementValue, setParent, setValue, setXMLNS`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static final IQ create()
                                 throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getQuery

          public Element getQuery()
                           throws XMLException

      Return <query/> child element.
      Returns:
        `null` is <query/> doesn't exists
      Throws:
        `XMLException`

Copyright © 2006–2019 Tigase. All rights reserved.